//
// DotBrush.cpp
//
// The implementation of Point Brush. It is a kind of ImpBrush. All your brush implementations
// will look like the file with the different GL primitive calls.
//

#include "impressionistDoc.h"
#include "impressionistUI.h"
#include "dotbrush.h"

extern float frand();

DotBrush::DotBrush( ImpressionistDoc* pDoc, char* name ) :
        ImpBrush(pDoc,name)
{
}

void DotBrush::BrushBegin( Point source, Point target )
{
        ImpressionistDoc* pDoc = GetDocument();
        ImpressionistUI* dlg=pDoc->m_pUI;

        int size = pDoc->getSize();



        glPointSize( (float)size );

        BrushMove( source, target );
}

void DotBrush::BrushMove( Point source, Point target )
{
        ImpressionistDoc* pDoc = GetDocument();
        ImpressionistUI* dlg=pDoc->m_pUI;

        if ( pDoc == NULL ) {
                printf( "DotBrush::BrushMove  document is NULL\n" );
                return;
        }

        glBegin( GL_POINTS );
                SetColor( source );

                glVertex2d( target.x, target.y );

        glEnd();
}

void DotBrush::BrushEnd( Point source, Point target )
{
        // do nothing so far
}

